import { RestService } from '../../services/rest.service';
import { Subscription } from 'rxjs';
import { MatSnackBar } from '@angular/material/snack-bar';
import { OnDestroy, OnInit } from '@angular/core';
import { BackgroundModel, StylesModel } from '../../styles/style.model';
import { EventsService } from './../../services/events.service';
import BaseSection from '../BaseSection';
import { ActivatedRoute } from '@angular/router';
import { DomSanitizer } from '@angular/platform-browser';
import { ImageUplaodService } from '../../services/image-upload-service.service';
import { RegistrationFormContentModel, RegistrationFormModel } from './registrationForm.model';
import * as i0 from "@angular/core";
export declare class RegistrationFormComponent extends BaseSection implements OnInit, OnDestroy {
    private restService;
    private snackBar;
    private _eventService;
    private router;
    ds: DomSanitizer;
    imageUploadService: ImageUplaodService;
    data?: RegistrationFormModel;
    index?: number;
    edit?: boolean;
    nextComponentColor?: BackgroundModel;
    content: RegistrationFormContentModel | undefined;
    styles: StylesModel | undefined;
    constructor(restService: RestService, snackBar: MatSnackBar, _eventService: EventsService, router: ActivatedRoute, ds: DomSanitizer, imageUploadService: ImageUplaodService);
    Object: ObjectConstructor;
    payload: any;
    selectedKey: any;
    fieldData: any;
    businessId: any;
    selectedGradeId: any;
    selectedAcademicYear: any;
    documentList: any[];
    formStatus: string;
    studentLiveWith: any;
    backupDocFile?: File;
    ngOnInit(): void;
    ngOnDestroy(): void;
    getFormdata(admissionId: string): void;
    updateGrade(gradeList: any[], gradeName: any): void;
    updateAcademicYear(acYearList: any[], acyName: any): void;
    formatCheckBoxValue(field: any): void;
    getAllFields(): void;
    getALLDocumentList(): void;
    formFieldChangeSubscription?: Subscription;
    formFieldChanged(): void;
    submitForm(): Promise<void>;
    registrationSubscription?: Subscription;
    createRegistration(): Promise<void>;
    createAdmission(): Promise<void>;
    fetchStudentDetails(array: any, getType: any): any;
    convertToListOfFields(): any[];
    getCheckBoxValue(field: any): any[];
    fileData?: File;
    updateAdmissionImage(ev: any): void;
    deleteImg(): void;
    redirectToPayment(): void;
    continueAdmission(): void;
    subscriptionsData: any[];
    termPaymentList: any[];
    getFeeStructure(): void;
    getAllSubcription(): void;
    inputFieldChange(item: any, field: any): void;
    masterDropdownValueChange(item: any, field: any): void;
    uploadBackUpDocument(ev: any): void;
    arrangeSubscriptionForAdmission(subscriptionList: any[]): any;
    arrangeFeeConfig(feeConfigList: any[]): any;
    getMaxDate(item: any): string | null;
    radioButtonChanged(item: any, selectedKey: any, group: any): void;
    convertOthersAsSecondary(value: any, selectedKey: any, group: any): void;
    showRelativeFields: boolean;
    showOrHideFields(value: any, selectedKey: any, group: any): void;
    uploadParentGuardinaImages(ev: any, field: any): void;
    updateSelectedImage(ev: any, field: any): void;
    isImage(fileUrl: string): boolean;
    getFieldValidation(item: any): boolean;
    checkDob(item: any): void;
    nextSiblingNumber: number | null;
    showAddSiblingsButton(): boolean;
    addSibling(siblingNumber: any): void;
    objectKeys: {
        (o: object): string[];
        (o: {}): string[];
    };
    groupOfSiblings(item: any): any;
    returnDisplayText(item: any): any;
    groupOfPastSchoolDetails(item: any): any;
    nextPastSchoolNumber: number | null;
    showAddPastSchoolButton(): boolean;
    addPastSchool(pastSchoolNumber: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RegistrationFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RegistrationFormComponent, "simpo-registration-form", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
